package scaffali;

public class Scaffale
{
	Ripiano[] ripiani;


	public Scaffale(int numRip, int largRip)
	{
		ripiani = new Ripiano[numRip];
		for(int i=0;i<numRip;i++)
		{
			ripiani[i] = new Ripiano(largRip);
		}
	}

	public CoordinatePubblicazione inserisciPubblicazione(Pubblicazione p)
	{
		int i = 0;
		for(i=0;i<ripiani.length;i++)
		{
			int pos = ripiani[i].inserisci(p);
			if(pos != -1)//ho inserito la pubblicazione al ripiano i nella posizione pos
			{
				return new CoordinatePubblicazione(i, pos);
			}
		}
		return null;
	}

	public CoordinatePubblicazione cercaPubblicazione(String titolo)
	{
		int i = 0;
		for(i=0;i<ripiani.length;i++)
		{
			int pos = ripiani[i].cerca(titolo);
			if(pos != -1)//ho inserito la pubblicazione al ripiano i nella posizione pos
			{
				return new CoordinatePubblicazione(i, pos);
			}
		}
		return null;
	}

	public CoordinatePubblicazione rimuoviPubblicazione(String titolo)
	{
		int i = 0;
		for(i=0;i<ripiani.length;i++)
		{
			int pos = ripiani[i].rimuovi(titolo);
			if(pos != -1)//ho inserito la pubblicazione al ripiano i nella posizione pos
			{
				return new CoordinatePubblicazione(i, pos);
			}
		}
		return null;
	}

	public void serializzati(java.io.PrintWriter pw)
	{
		pw.println(ripiani.length);
		if(ripiani.length>0)
		{
			pw.println(ripiani[0].getSpazioLibero() + ripiani[0].getSpazioOccupato());
		}

		for(int i = 0;i<ripiani.length;i++)
		{
			ripiani[i].serializzati(pw);
		}
	}

	public String toString()
	{
		String retval = "";
		for(int i = 0;i<ripiani.length;i++)
		{
			retval = retval.concat(ripiani[i].toString());
		}
		return retval;
	}
}
